ROOT_DIR = audio

ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

NAME=aplay
LINK_NAME=arecord

EXTRA_INCVPATH= $(SRC_ROOT)/deva/public/include $(SRC_ROOT)/asound/public/include $(PROJECT_ROOT)/include

ifndef DEBUG
EXTRA_LIBVPATH= $(SRC_ROOT)/asound/lib/$(OS)/$(CPU)/a 
LIBS_qnx4= unix3r socket
LIBS= asound $(LIBS_$(OS)) 
else
EXTRA_LIBVPATH= $(SRC_ROOT)/asound/lib/$(OS)/$(CPU)/a.g 
LIBS_qnx4= unix3r socket
LIBS= asound_g $(LIBS_$(OS)) 
endif

POST_BUILD= ln -fs $(NAME) $(LINK_NAME)

include $(MKFILES_ROOT)/qmacros.mk
include $(MKFILES_ROOT)/qtargets.mk

