ROOT_DIR= audio

ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

CC=qcc

NAME= mpg123

CCFLAGS= -DUSE_MMAP -DALSA \
         -DTERM_CONTROL -DSND_LITTLE_ENDIAN -DROT_I386 \
	 -DREAD_MMAP 
LDFLAGS= -N64k 

EXTRA_INCVPATH= $(SRC_ROOT)/deva/public/include $(SRC_ROOT)/asound/public/include $(PROJECT_ROOT)/include

ifndef DEBUG
EXTRA_LIBVPATH= $(SRC_ROOT)/asound/lib/$(OS)/$(CPU)/a 
LIBS_nto= m socketS
LIBS_qnx4= socket3r
LIBS= asound $(LIBS_$(OS))
else
EXTRA_LIBVPATH= $(SRC_ROOT)/asound/lib/$(OS)/$(CPU)/a.g 
LIBS_nto= m socketS
LIBS_qnx4= socket3r
LIBS= asound_g $(LIBS_$(OS))
endif

include $(MKFILES_ROOT)/qmacros.mk
include $(MKFILES_ROOT)/qtargets.mk

